Skip to main content
`Ctrl`+`K`

# DMLabelGather

Gather all label values from leafs into roots

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGather(DMLabel label, PetscSF sf, DMLabel *labelNew)

Collective

## Input Parameters

- label - the `DMLabel`

- sf - the `PetscSF` communication map

## Output Parameter

- labelNew - the new `DMLabel` with localised leaf values

## Note

This is the inverse operation to `DMLabelDistribute()`.

## See Also

`DMLabel`, `DM`, `DMLabelDistribute()`

## Level

developer

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages